//                                               -*- C++ -*-
/**
 *  @file  OTconfig.hxx
 *  @brief A wrapper file to include OTconfig.h and redefine some symbols
 *  @brief A wrapper file to include OTconfig.h and redefine some symbols
 *
 *  Copyright (C) 2005-2014 Airbus-EDF-Phimeca
 *
 *  This library is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  along with this library.  If not, see <http://www.gnu.org/licenses/>.
 *
 *  @author schueller
 *  @date   2012-02-17 19:35:43 +0100 (Fri, 17 Feb 2012)
 */
#ifndef OPENTURNS_OTCONFIG_HXX
#define OPENTURNS_OTCONFIG_HXX

/**
 * The OTconfig.h header file is generated automatically at configuration
 * step (see CMake documentation) according to the build platform environment.
 * It contains macro definitions whose value is determined by the CMakeLists.txt
 * script and propagated inside any source files.
 */
#ifndef OPENTURNS_OTCONFIG_H
#define OPENTURNS_OTCONFIG_H

#include "OTconfig.h"
// #define OPENTURNS_PACKAGE_BUGREPORT PACKAGE_BUGREPORT
// #define OPENTURNS_PACKAGE_NAME      PACKAGE_NAME
// #define OPENTURNS_PACKAGE_STRING    PACKAGE_STRING
// #define OPENTURNS_PACKAGE_TARNAME   PACKAGE_TARNAME
// #define OPENTURNS_PACKAGE_VERSION   PACKAGE_VERSION
// #undef PACKAGE_BUGREPORT
// #undef PACKAGE_NAME
// #undef PACKAGE_STRING
// #undef PACKAGE_TARNAME
// #undef PACKAGE_VERSION
// #undef VERSION

#endif /* OPENTURNS_OTCONFIG_H */

#endif /* OPENTURNS_OTCONFIG_HXX */
