#                                               -*- cmake -*-
#
#  OpenTURNSConfig.cmake(.in)
#
#  Find OpenTURNS includes and libraries
#
#  Copyright (C) 2005-2014 Airbus-EDF-Phimeca
#
#  This library is free software: you can redistribute it and/or modify
#  it under the terms of the GNU Lesser General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This library is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU Lesser General Public License for more details.
#
#  You should have received a copy of the GNU Lesser General Public
#  along with this library.  If not, see <http://www.gnu.org/licenses/>.
#
#  @author schueller
#  @date   2010-02-04 16:44:49 +0100 (Thu, 04 Feb 2010)
#

# Use the following variables to compile and link against OpenTURNS:
#  OPENTURNS_FOUND              - True if OpenTURNS was found on your system
#  OPENTURNS_USE_FILE           - The file making OpenTURNS usable
#  OPENTURNS_DEFINITIONS        - Definitions needed to build with OpenTURNS
#  OPENTURNS_INCLUDE_DIRS       - Directory where OT.hxx can be found
#  OPENTURNS_INCLUDE_DIRS       - List of directories of OpenTURNS and it's dependencies
#  OPENTURNS_LIBRARY            - OpenTURNS library location
#  OPENTURNS_LIBRARIES          - List of libraries to link against
#  OPENTURNS_WRAPPER_LIBRARIES  - List of wrapper libraries to link against
#  OPENTURNS_LIBRARY_DIRS       - List of directories containing OpenTURNS' libraries
#  OPENTURNS_ROOT_DIR           - The base directory of OpenTURNS
#  OPENTURNS_VERSION_STRING     - A human-readable string containing the version
#  OPENTURNS_VERSION_MAJOR      - The major version of OpenTURNS
#  OPENTURNS_VERSION_MINOR      - The minor version of OpenTURNS
#  OPENTURNS_VERSION_PATCH      - The patch version of OpenTURNS
#  OPENTURNS_SWIG_INCLUDE_DIRS  - Location of swig interface files
#  OPENTURNS_SWIG_DEFINITIONS   - Definitions to compile the swig generated source
#  OPENTURNS_PYTHON_MODULE_PATH - Path to the python module

set ( OPENTURNS_FOUND 1 )
set ( OPENTURNS_USE_FILE     "/usr/lib/i386-linux-gnu/cmake/openturns/UseOpenTURNS.cmake" )

set ( OPENTURNS_DEFINITIONS  "" )
set ( OPENTURNS_INCLUDE_DIR  "/usr/include/openturns" )
set ( OPENTURNS_INCLUDE_DIRS "/usr/include/openturns;/usr/include/libxml2;/usr/include" )
set ( OPENTURNS_LIBRARY      "OT" )
set ( OPENTURNS_LIBRARIES    "/usr/lib/i386-linux-gnu/libxml2.so;/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/i386-linux-gnu/libmuparser.so;-lpthread;/usr/lib/libtbb.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libc.so;OT" )
set ( OPENTURNS_WRAPPER_LIBRARIES    "/usr/lib/i386-linux-gnu/libxml2.so;/usr/lib/liblapack.so;/usr/lib/libblas.so;/usr/lib/i386-linux-gnu/libmuparser.so;-lpthread;/usr/lib/libtbb.so;/usr/lib/i386-linux-gnu/libdl.so;/usr/lib/i386-linux-gnu/libc.so;OT;OTbind" )
set ( OPENTURNS_LIBRARY_DIRS "/usr/lib/i386-linux-gnu" )
set ( OPENTURNS_ROOT_DIR     "/usr/" )

set ( OPENTURNS_VERSION_STRING "1.3" )
set ( OPENTURNS_VERSION_MAJOR  "1" )
set ( OPENTURNS_VERSION_MINOR  "3" )
set ( OPENTURNS_VERSION_PATCH  "" )

set ( OPENTURNS_SWIG_INCLUDE_DIRS  "/usr/include/openturns/swig" )
set ( OPENTURNS_SWIG_DEFINITIONS   "-DSWIG_TYPE_TABLE=openturns" )
set ( OPENTURNS_PYTHON_MODULE_PATH "/usr/lib/python2.7/dist-packages" )

